: Class FrameSet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTML
Class FrameSet

    java.lang.Object
      |
      +--com.mortbay.HTML.Element
            |
            +--com.mortbay.HTML.Composite
                  |
                  +--com.mortbay.HTML.Page
                        |
                        +--com.mortbay.HTML.FrameSet

public class FrameSet
extends Page

FrameSet

Usage

          FrameSet set = new FrameSet("FrameTest","*,*","*,*");
          set.frame(0,0).name("Frame1",req.getRequestPath()+"?Frame=1");
          set.frame(0,1).name("Frame2",req.getRequestPath()+"?Frame=2");
          set.frame(1,0).name("Frame3",req.getRequestPath()+"?Frame=3");
          set.frame(1,1).name("Frame4",req.getRequestPath()+"?Frame=4");
          set.write(new Writer(res.getOutputStream()));

Version:
  $Id: FrameSet.java,v 2.3 1999/09/22 15:08:41 gregw Exp $
Author:
  Greg Wilkins

Fields inherited from class com.mortbay.HTML.Page
`Back, BaseUrl, BgColour, Content, ContentSize, FgColour, FileBase, Footer, FooterSize, Header, HeaderSize, Heading, Help, HighlightColour, Home, LeftMargin, LeftMarginSize, Margin, MarginSize, Next, NoTitle, PageType, Prev, properties, Request, Response, RightMargin, RightMarginSize, Section, Target, Title, Up`

Fields inherited from class com.mortbay.HTML.Composite
`elements, nest`

Fields inherited from class com.mortbay.HTML.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`FrameSet(java.lang.String title, java.lang.String colSpec, java.lang.String rowSpec)` FrameSet constructor

Method Summary
`FrameSet` | `border(boolean threeD, int width, java.lang.String color)`
`Frame` | `frame(int col, int row)`
`Frame` | `frame(java.lang.String name)`
`java.util.Enumeration` | `namedFrames()`
`Frame` | `nameFrame(java.lang.String name, int col, int row)` Name a frame.
`void` | `write(java.io.Writer out)` Write the entire page by calling: writeHtmlHead(out) writeBodyTag(out) writeElements(out) writeHtmlEnd(out)

Methods inherited from class com.mortbay.HTML.Page
`addHeader, addPageFactory, addSection, addTo, completeSections, delPageFactory, flush, frameSet, getDefaultPageType, getPage, getSection, manufacturePage, properties, rewind, setBackGroundColor, setBackGroundImage, setBase, setDefaultPageType, setSection, title, write, writeBodyTag, writeElements, writeHtmlEnd, writeHtmlHead`

Methods inherited from class com.mortbay.HTML.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class com.mortbay.HTML.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameSet

    public FrameSet(java.lang.String title,
                    java.lang.String colSpec,
                    java.lang.String rowSpec)

  FrameSet constructor
  Parameters:
    `colSpec` - Comma separated list of column widths specified as pixels, percentage or '*' for variable

Method Detail

### frame

    public Frame frame(int col,
                       int row)

### border

    public FrameSet border(boolean threeD,
                           int width,
                           java.lang.String color)

### namedFrames

    public java.util.Enumeration namedFrames()

### frame

    public Frame frame(java.lang.String name)

### nameFrame

    public Frame nameFrame(java.lang.String name,
                           int col,
                           int row)

  Name a frame. By convention, frame names match Page section names

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Description copied from class: Page
  Write the entire page by calling:
  writeHtmlHead(out)
  writeBodyTag(out)
  writeElements(out)
  writeHtmlEnd(out)
  Overrides:
    write in class Page
  Tags copied from class: Composite
  Parameters:
    `out` - Writer to write the element to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD